package cn.yyxx.columbus.base

import androidx.annotation.Keep

/**
 * @author #Suyghur.
 * Created on 2021/06/09
 */
class Columbus private constructor() {





    companion object {
        @JvmStatic
        @Keep
        fun getInstance(): Columbus {
            return ColumbusHolder.INSTANCE
        }

        private const val CLICK_INTERVAL: Int = 1500

        private object ColumbusHolder {
            val INSTANCE: Columbus = Columbus()
        }

        /**
         * 防止单例对象在反序列化时重新生成对象
         */
        private fun readResolve(): Any {
            return ColumbusHolder.INSTANCE
        }
    }
}